#ifndef QCOLORBARAXIS_P_H
#define QCOLORBARAXIS_P_H

//#include <QtCharts/QColorBarAxis> //TODO : fix this
#include "colorbaraxis/qcolorbaraxis.h"
#include <private/qabstractaxis_p.h>

QT_CHARTS_BEGIN_NAMESPACE

class QColorBarAxisPrivate : public QAbstractAxisPrivate
{
    Q_OBJECT
public:
    QColorBarAxisPrivate(QLinearGradient gradient, qreal min, qreal max,QColorBarAxis *q);
    ~QColorBarAxisPrivate();

public:
    void initializeGraphics(QGraphicsItem* parent);
    void initializeDomain(AbstractDomain *domain);

    qreal min() { return m_min; }
    qreal max() { return m_max; }
    void setRange(qreal min,qreal max);

protected:
    void setMin(const QVariant &min);
    void setMax(const QVariant &max);
    void setRange(const QVariant &min, const QVariant &max);

private:
    qreal m_min;
    qreal m_max;
    int m_tickCount;
    int m_minorTickCount;
    QString m_format;
   // bool m_applying;
    QLinearGradient m_gradient;
    Q_DECLARE_PUBLIC(QColorBarAxis)
};

QT_CHARTS_END_NAMESPACE

#endif // QCOLORBARAXIS_P_H
